<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetThumbnail Method (IEdmEnumeratorVariable5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmEnumeratorVariable5 Interface : GetThumbnail Method (IEdmEnumeratorVariable5)

Visual Basic
C#
C++/CLI
Gets a preview bitmap of the current file.

# Syntax

Visual Basic |
--- | ---

    Function GetThumbnail() As IEdmBitmap5

C# |
--- | ---

    IEdmBitmap5 GetThumbnail()

C++/CLI |
--- | ---

    IEdmBitmap5^ GetThumbnail();

#### Return Value

IEdmBitmap5; Null if the file does not support bitmap previews

# Example

Get Preview Bitmap of File (VB.NET)
Get Preview Bitmap of File (C#)

# Remarks

This method supports only DWG files that are cached.

C++ users not using smart-pointer wrapper functions must release the returned interface, IEdmBitmap5.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: The file does not support bitmap previews.

# See Also

####

IEdmEnumeratorVariable5 Interface
IEdmEnumeratorVariable5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2